integrations:
  node_exporter:
    enabled: true
  prometheus_remote_write:
  - basic_auth:
      password: {{ grafanacloud_agent_password }}
      username: {{ grafanacloud_agent_username }}
    url: https://prometheus-us-central1.grafana.net/api/prom/push
prometheus:
  configs:
  - name: integrations
    remote_write:
    - basic_auth:
        password: {{ grafanacloud_agent_password }}
        username: {{ grafanacloud_agent_username }}
      url: https://prometheus-us-central1.grafana.net/api/prom/push
    scrape_configs:
{% if grafanacloud_agent_caddy_integration %}
    - job_name: caddy
      static_configs:
      - targets: ['localhost:2019']
{% endif %}
  global:
    scrape_interval: 15s
  wal_directory: /tmp/grafana-agent-wal
server:
  http_listen_port: 12345
